Subject: Re: [PATCH 13/13] object-file: drop support for writing objects with unknown types

From: Junio C Hamano <[email-masked]>
Date: Mon, 19 May 2025 08:32:59 -0700

Jeff King <[email-masked]> writes:

> Since "hash-object --literally" no longer supports objects with unknown
> types, there are now no callers of write_object_file_literally() and its
> helpers. Let's drop them to simplify the code.
>
> In particular, this gets rid of some ugly copy-and-paste code from
> write_object_file_literally(), which is a parallel implementation of
> write_object_file(). When the split was originally made, the two weren't
> that long, but commits like 63a6745a07 (object-file: update the loose
> object map when writing loose objects, 2023-10-01) ended up having to
> duplicate some tricky code.
>
> This patch drops all of that duplication and should make things less
> error-prone going forward.

Good.  Creating broken loose object for the purpose of testing was
the only reason to have this "feature", and that is reimplemented in
a shell script in the test suite, so this can safely go.  Nice.

Thanks.